%define section free

Summary:        Cluster-aware Caching for Java
Name:           swarmcache
Version:        1.0
Release:        0.cvs040225.1jpp
Epoch:          0
License:        LGPL
URL:            http://swarmcache.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        swarmcache-1.0-cvs040225.tar.gz
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/swarmcache login
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/swarmcache export -r HEAD swarmcache
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  jakarta-commons-logging >= 0:1.0.3
BuildRequires:  javagroups >= 0:2.1.1
BuildRequires:  jgroups >= 0:2.2
BuildRequires:  junit >= 0:3.8.1
Requires:  jakarta-commons-collections >= 0:2.1
Requires:  jakarta-commons-logging >= 0:1.0.3
Requires:  javagroups >= 0:2.1.1
Requires:  jgroups >= 0:2.2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SwarmCache is a simple but effective distributed 
cache. It uses IP multicast to efficiently communicate 
with any number of hosts on a LAN. It is specifically 
designed for use by clustered, database-driven web 
applications. Such applications typically have many 
more read operations than write operations, which 
allows SwarmCache to deliver the greatest performance 
gains. SwarmCache uses JavaGroups internally to manage 
the membership and communications of its distributed 
cache.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -n %{name}

%build
export CLASSPATH=$(build-classpath \
commons-collections \
commons-logging \
javagroups \
jgroups \
junit)
ant -Dbuild.sysclasspath=only test jar javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}-%{version}RC2.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -p all.library $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -p changehog.txt $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr conf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -p readme.html $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -p swarmcache.* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -p test* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr web/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf web/api

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr web/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}
%{_javadir}

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}

# -----------------------------------------------------------------------------

%changelog

* Sat Feb 28 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.cvs040225.1jpp
- First JPackage release
